<?php

/**
* Add pngFix script to fix .png transparensy bug in IE6
*/
drupal_add_js(drupal_get_path('theme', 'greenNblack') . '/js/jquery.pngFix.js', 'theme');

/**
* IE detector
*/
function greenNblack_ie_detect()
{
    if (isset($_SERVER['HTTP_USER_AGENT']) && 
    (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false))
        return true;
    else
        return false;
}

/**
 * Sets the body-tag class attribute.
 *
 * Adds 'sidebar-left', 'sidebar-right' or 'sidebars' classes as needed.
 */
function greenNblack_container($L, $R) {

$class ='container';
    if ($L) {
      $class .= ' container-left';
    }
    if ($R) {
      $class .= ' container-right';
    }
 
 
    return ' class="'. $class .'"';
  
}

function greenNblack_footer($message){
$message.='<div id="author_link">Design by <a href="http://cmstuning.com/">CMStuning</a></div>';
return $message;
}

/**
* Declare own regiong in template
*/
function greenNblack_regions() {
  return array(
    'sidebar_right' => t('right sidebar'),
	'sidebar_left' => t('left sidebar'),
	'sub_header' => t('sub header'),
	'top_content' => t('content above nodes'),
	'content' => t('content'),
    'header' => t('header'),
	'top_menu' => t('top menu'),
    'footer' => t('footer')
	
  );
}

/**
* Altering search form
*/
function search_form_alter($form_id, &$form) {
  if ($form_id == 'search_theme_form') {

$form['search_theme_form_keys']['#title'] = t('Search');
unset($form['submit']);

      
  }
}




 
?>